org.apache.ignite.internal.processors.hadoop

## Interface HadoopTaskOutput

All Superinterfaces:
  AutoCloseable

All Known Subinterfaces:
  HadoopMapperAwareTaskOutput

    public interface HadoopTaskOutput
    extends AutoCloseable

Task output.

### Method Summary

Methods
`void` `close()` Closes output.
`void` `write(Object key, Object val)` Writes key and value to the output.

### Method Detail

#### write

    void write(Object key,
             Object val)
               throws IgniteCheckedException

Writes key and value to the output.

Parameters:
  `key` - Key.
  `val` - Value.
Throws:
  `IgniteCheckedException`

#### close

    void close()
               throws IgniteCheckedException

Closes output.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017